Subject: bug#44678: Set a Firefox user agent for our Icecat build

From: Efraim Flashner <[email-masked]>
Date: Thu, 5 Aug 2021 11:00:51 +0300

On Wed, Aug 04, 2021 at 11:22:58PM -0400, Maxim Cournoyer wrote:
> Hi Arun,
> 
> Arun Isaac <[email-masked]> writes:
> 
> > Hi,
> >
> > Many sites---jitsi among many others---don't work properly when they see
> > an Icecat user agent. Instead, when the user agent is set to a Firefox
> > user agent, these sites work as expected. Users can do this manually by
> > installing user agent switching extensions such as uaswitcher, but it
> > would be much better if our Icecat package, by default, came with a
> > Firefox user agent, and everything worked normally without any user
> > intervention.
> >
> > This bug report arose out of a discussion on help-guix. See
> > https://lists.gnu.org/archive/html/help-guix/2020-11/msg00082.html
> >
> > I would normally volunteer a patch, but building Icecat takes too long
> > (> 24 hours) on my slow computer. It would be nice if someone with a
> > faster build machine handled this.
> 
> I thought the default user agent was already that of Firefox for Windows
> (!), purportedly to make it less unique (thus making fingerprinting of
> browsers/users more difficult).
> 
> Isn't it the case?  I changed mine long ago so I don't remember (to
> please some broken site).
> 
> Thank you,
> 
> Maxim

I remember a discussion forever ago about making the User-Agent Guix
specific but we ended up not going that way in order to try to provide
more anonymity. I don't believe I've changed my user agent ever, and
here's what I'm told mine is:

User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101 Firefox/78.0

If you want to experiment with it you can send a patch (and tag me) and
I'll build icecat locally and check it out and let you know how it goes.
Icecat builds fairly quickly for me.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted